Creates a new item

Request Information

URI Parameters :

None.

Body Parameters :

db_info_field
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
db_info_id

Foreign key to db_info (chapters)

globally unique identifier

Optionally required : db_info_id,db_info_code or node db_info must be provided

db_info_code

Embedded entity "db_info" using ERP PK when adding/updating db_info_field

string

Optionally required : db_info_id ,db_info_code or node db_info must be provided

db_info

Embedded entity "db_info" (chapter) when adding/updating db_info_field

db_info

Optionally required : db_info_id,db_info_code or node db_info must be provided

db_input_type_id

Type of the fied (like Textbox,TextArea)

globally unique identifier

Optionally required : db_input_type_id or db_input_type_code must be provided

db_input_type_code

Use of the possible type : TextBox,TextArea,SelectBox,RadioButton,DateTime,NumericField,Checkbox,ComboBox,Email,Url,DatePicker,MonthCalendar,TimePiker,Number

string

Optionally required : db_input_type_id or db_input_type_code must be provided

name

Name/Code of the info field.Field used for Embedded entity (store there your ERP PK)

string

Required

Max length: 50

title

Title that will be shown on the UI of the info field

string

Required

Max length: 50

sequence

Sorting field (0 first), to order them inside the chapter

integer
description

Description of the field

string

Max length: 255

is_mandatory

Force user to fill it before saving

boolean
is_readonly

Avoid user to edit the value using the UI

boolean
hide_in_view_if_empty

Hide this field in view mode if no value

boolean
udf_name

Name of udf column that links to info field (read-only)

string
visible_on_app

Visible this field on app

boolean
archived

boolean

Request Formats :

application/json, text/json

Sample:
{
  "id": "500a50b8-7793-45b3-8cd7-53b1a2dee9ce",
  "db_info_id": "58491b4d-4be5-45d9-83c1-928a661ae8ba",
  "db_info_code": "sample string 3",
  "db_info": {
    "id": "dad49df6-e85e-4690-841c-c3aa1f449960",
    "name": "sample string 2",
    "code": "sample string 3",
    "sequence": 4,
    "db_info_category_id": "24ab61f4-b84b-4420-afb3-44b7e6785978",
    "db_info_category_code": "sample string 6",
    "parent_id": "6d14820d-7bd9-4422-96e9-cf8bfc3845ca",
    "parent_db_info_code": "sample string 8",
    "modified_dateutc": "2026-11-02T13:49:02.7565906+00:00"
  },
  "db_input_type_id": "e478a2ca-0088-45dc-b7cc-7a19b83e3416",
  "db_input_type_code": "sample string 5",
  "name": "sample string 6",
  "title": "sample string 7",
  "sequence": 8,
  "description": "sample string 9",
  "is_mandatory": true,
  "is_readonly": true,
  "hide_in_view_if_empty": true,
  "udf_name": "sample string 13",
  "visible_on_app": true,
  "archived": true
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.